bn_mul.h File Reference

Multi-precision integer library. More...

`#include "bignum.h"`
Include dependency graph for bn_mul.h:

Go to the source code of this file.

## Macros

#define | asm __asm
#define | MULADDC_INIT
#define | MULADDC_CORE
#define | MULADDC_STOP }

## Detailed Description

Multi-precision integer library.

Copyright (C) 2006-2015, ARM Limited, All Rights Reserved SPDX-License-Identifier: Apache-2.0

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

This file is part of mbed TLS (https://tls.mbed.org)

Definition in file bn_mul.h.

## Macro Definition Documentation

#define asm __asm

Definition at line 45 of file bn_mul.h.

#define MULADDC_CORE

Value:
r = *(s++) * (mbedtls_t_udbl) b; \
r0 = (mbedtls_mpi_uint) r; \
r1 = (mbedtls_mpi_uint)( r >> biL ); \
r0 += c; r1 += (r0 < c); \
r0 += *d; r1 += (r0 < *d); \
c = r1; *(d++) = r0;
mbedtls_t_udbl
uint64_t mbedtls_t_udbl
Definition: bignum.h:132
mbedtls_mpi_uint
uint32_t mbedtls_mpi_uint
Definition: bignum.h:131

Definition at line 837 of file bn_mul.h.

#define MULADDC_INIT

Value:
{ \
mbedtls_t_udbl r; \
mbedtls_mpi_uint r0, r1;
mbedtls_t_udbl
uint64_t mbedtls_t_udbl
Definition: bignum.h:132
mbedtls_mpi_uint
uint32_t mbedtls_mpi_uint
Definition: bignum.h:131

Definition at line 832 of file bn_mul.h.

#define MULADDC_STOP }

Definition at line 845 of file bn_mul.h.